document.getElementById('registration-form').addEventListener('submit', function(event) { 
    event.preventDefault(); 

    const username = document.getElementById('username').value; 
    const email = document.getElementById('email').value; 
    const password = document.getElementById('password').value; 
    const confirmPassword = document.getElementById('confirm-password').value; 
    const message = document.getElementById('message'); 

    if (password !== confirmPassword) { 
        message.textContent = "Пароли не совпадают!"; 
        message.style.color = "red"; 
        return; 
    } 

    const newUser = { 
        username: username, 
        email: email, 
        password: password 
    }; 

    // Прочитаем текущие данные из файла JSON
    let users = [];
    if (localStorage.getItem('users')) { 
        users = JSON.parse(localStorage.getItem('users')); 
    } 

    // Проверим, нет ли уже пользователя с таким именем
    const existingUser = users.find(u => u.username === username);
    if (existingUser) { 
        message.textContent = "Пользователь с таким именем уже существует!"; 
        message.style.color = "red"; 
        return; 
    } 

    // Добавим нового пользователя в массив
    users.push(newUser);

    // Запишем обновленные данные обратно в файл JSON
    localStorage.setItem('users', JSON.stringify(users));

    message.textContent = "Регистрация успешна!"; 
    message.style.color = "green"; 
    setTimeout(() => { 
        window.location.href = 'login.html'; 
    }, 2000); 
});